<?php

namespace common\logic\Producer\ProducerPriceRange\Service;

use common\logic\AbstractBuilder;
use common\logic\Producer\ProducerPriceRange\Model\ProducerPriceRange;

class ProducerPriceRangeBuilder extends AbstractBuilder
{
    public function instanciateProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = new ProducerPriceRange();

        return $producerPriceRange;
    }

    public function createProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = $this->instanciateProducerPriceRange();
        $this->saveCreate($producerPriceRange);

        return $producerPriceRange;
    }
}